import 'package:prompter_ibrahim_shmrani/src/terminal.dart';
export 'option.dart';

final Terminal _ter = const Terminal();

class Prompter {
  askBinary(String prompt) {
    _ter.clearScreen();
    _ter.printPrompt(prompt);
    return _ter.collectInput().contains('y');
  }

  ask(String prompt, List<Option> option) {
    _ter.clearScreen();
    _ter.printPrompt(prompt);
    _ter.printOption(option);
    var val = _ter.collectInput();
    try {
      return option[int.parse(val)].value;
    } catch (err) {
      return ask(prompt, option);
    }
  }
}
